Upgrading to the Latest PostSharp

fruscil's Avatar

fruscil

22 Mar, 2018 06:57 PM

The assembly "...packages\PostSharp.Patterns.Threading.5.0.35\tools\
PostSharp.Patterns.Threading.Weaver.dll" does not contain a custom attribute
of type AssemblyProjectProviderAttribute.

  1. Support Staff 1 Posted by PostSharp Techn... on 23 Mar, 2018 10:01 AM

    PostSharp Technologies's Avatar

    Hello,

    please make sure your project has PostSharp.Patterns.Threading package installed and that all the PostSharp packages in your project are of the same version. You can also try to update to the latest version at the moment, which is 5.0.48.

    If your project contains a configuration file with <Using File="...\packages\PostSharp.Patterns.Threading.5.0.35\tools\PostSharp.Patterns.Diagnostics.Weaver.dll " />, this and similar lines can be removed as PostSharp plug-ins installed via NuGet are now loaded automatically in PostSharp 5.0.

    If these hints don't help, would it be possible to provide a (sample) project reproducing this issue? If that's not possible, please send us a detail build log. (msbuild YourProject.csproj /v:d > build.log)

    Best regards,
    -tony

  2. Support Staff 2 Posted by PostSharp Techn... on 11 Apr, 2018 03:28 PM

    PostSharp Technologies's Avatar

    Hello,

    We are going to close this request as there have not been any further updates. Please feel free to reopen the discussion if you need more help.

    Thanks,
    PostSharp Team

  3. PostSharp Technologies closed this discussion on 11 Apr, 2018 03:28 PM.

Comments are currently closed for this discussion. You can start a new one.

Keyboard shortcuts

Generic

? Show this help
ESC Blurs the current field

Comment Form

r Focus the comment reply box
^ + ↩ Submit the comment

You can use Command ⌘ instead of Control ^ on Mac